# Class CIM_BGPCluster
extends CIM_CollectionOfMSEs

The BGP speakers in an AS are required to be fully meshed. This can lead to a huge number of TCP connections per router. One way to reduce the peering requirements is to use a route reflector. This is based on specifying one or more routers to act as focal points for IBGP sessions. The route reflector as a whole is called a cluster. It is logically divided into three types of routers: reflectors, clients of the route reflector(s), and non-clients of the route reflector. There can be more than one route reflector in a cluster, and there can be more than one cluster in an AS.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_BGPCluster

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The BGP speakers in an AS are required to be fully meshed. This can lead to a huge number of TCP connections per router. One way to reduce the peering requirements is to use a route reflector. This is based on specifying one or more routers to act as focal points for IBGP sessions. The route reflector as a whole is called a cluster. It is logically divided into three types of routers: reflectors, clients of the route reflector(s), and non-clients of the route reflector. There can be more than one route reflector in a cluster, and there can be more than one cluster in an AS.

UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClusterID | uint32 |
Description | string | If a cluster has more than one route reflector, all of the route reflectors in the cluster need to be configured with a 4-byte cluster ID. This allows route reflectors to recognize updates from other route reflectors in the same cluster.
Key | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods